Add the option --with-vmkit-package to use Debian packages instead of the llvm+vmkit...
[scilab.git] / scilab / modules / mpi / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2011 - DIGITEO - Sylvestre LEDRU
19 #
20 # This file must be used under the terms of the CeCILL.
21 # This source file is licensed as described in the file COPYING, which
22 # you should have received as part of this distribution.  The terms
23 # are also available at
24 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
25
26 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
27 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
28 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
29 #
30 # This file must be used under the terms of the CeCILL.
31 # This source file is licensed as described in the file COPYING, which
32 # you should have received as part of this distribution.  The terms
33 # are also available at
34 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
35 #
36
37 ##########
38 ### Makefile included stuff
39 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
40 ##########
41
42
43
44 VPATH = @srcdir@
45 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
46 am__make_running_with_option = \
47   case $${target_option-} in \
48       ?) ;; \
49       *) echo "am__make_running_with_option: internal error: invalid" \
50               "target option '$${target_option-}' specified" >&2; \
51          exit 1;; \
52   esac; \
53   has_opt=no; \
54   sane_makeflags=$$MAKEFLAGS; \
55   if $(am__is_gnu_make); then \
56     sane_makeflags=$$MFLAGS; \
57   else \
58     case $$MAKEFLAGS in \
59       *\\[\ \   ]*) \
60         bs=\\; \
61         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
62           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
63     esac; \
64   fi; \
65   skip_next=no; \
66   strip_trailopt () \
67   { \
68     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
69   }; \
70   for flg in $$sane_makeflags; do \
71     test $$skip_next = yes && { skip_next=no; continue; }; \
72     case $$flg in \
73       *=*|--*) continue;; \
74         -*I) strip_trailopt 'I'; skip_next=yes;; \
75       -*I?*) strip_trailopt 'I';; \
76         -*O) strip_trailopt 'O'; skip_next=yes;; \
77       -*O?*) strip_trailopt 'O';; \
78         -*l) strip_trailopt 'l'; skip_next=yes;; \
79       -*l?*) strip_trailopt 'l';; \
80       -[dEDm]) skip_next=yes;; \
81       -[JT]) skip_next=yes;; \
82     esac; \
83     case $$flg in \
84       *$$target_option*) has_opt=yes; break;; \
85     esac; \
86   done; \
87   test $$has_opt = yes
88 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
89 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
90 pkgdatadir = $(datadir)/@PACKAGE@
91 pkgincludedir = $(includedir)/@PACKAGE@
92 pkglibdir = $(libdir)/@PACKAGE@
93 pkglibexecdir = $(libexecdir)/@PACKAGE@
94 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
95 install_sh_DATA = $(install_sh) -c -m 644
96 install_sh_PROGRAM = $(install_sh) -c
97 install_sh_SCRIPT = $(install_sh) -c
98 INSTALL_HEADER = $(INSTALL_DATA)
99 transform = $(program_transform_name)
100 NORMAL_INSTALL = :
101 PRE_INSTALL = :
102 POST_INSTALL = :
103 NORMAL_UNINSTALL = :
104 PRE_UNINSTALL = :
105 POST_UNINSTALL = :
106 build_triplet = @build@
107 host_triplet = @host@
108 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
109         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
110         $(top_srcdir)/config/depcomp $(libscimpi_la_include_HEADERS) \
111         TODO
112 @NEED_JAVA_TRUE@am__append_1 = java
113 subdir = modules/mpi
114 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
115 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
116         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
117         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
118         $(top_srcdir)/m4/eigen.m4 $(top_srcdir)/m4/fftw.m4 \
119         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
120         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
121         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
122         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
123         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
124         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
125         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
126         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
127         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
128         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
129         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
130         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
131         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/m4/vmkit.m4 \
132         $(top_srcdir)/configure.ac
133 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
134         $(ACLOCAL_M4)
135 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
136 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
137 CONFIG_CLEAN_FILES =
138 CONFIG_CLEAN_VPATH_FILES =
139 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
140 am__vpath_adj = case $$p in \
141     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
142     *) f=$$p;; \
143   esac;
144 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
145 am__install_max = 40
146 am__nobase_strip_setup = \
147   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
148 am__nobase_strip = \
149   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
150 am__nobase_list = $(am__nobase_strip_setup); \
151   for p in $$list; do echo "$$p $$p"; done | \
152   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
153   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
154     if (++n[$$2] == $(am__install_max)) \
155       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
156     END { for (dir in files) print dir, files[dir] }'
157 am__base_list = \
158   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
159   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
160 am__uninstall_files_from_dir = { \
161   test -z "$$files" \
162     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
163     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
164          $(am__cd) "$$dir" && rm -f $$files; }; \
165   }
166 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
167         "$(DESTDIR)$(libscimpi_la_etcdir)" \
168         "$(DESTDIR)$(libscimpi_la_rootdir)" \
169         "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" \
170         "$(DESTDIR)$(libscimpi_la_includedir)"
171 LTLIBRARIES = $(pkglib_LTLIBRARIES)
172 libscimpi_la_LIBADD =
173 am__objects_1 = libscimpi_la-sci_mpi_init.lo \
174         libscimpi_la-sci_mpi_finalize.lo \
175         libscimpi_la-sci_mpi_comm_size.lo \
176         libscimpi_la-sci_mpi_comm_rank.lo libscimpi_la-gw_mpi.lo \
177         libscimpi_la-sci_mpi_recv.lo libscimpi_la-sci_mpi_send.lo \
178         libscimpi_la-sci_mpi_irecv.lo libscimpi_la-sci_mpi_isend.lo \
179         libscimpi_la-sci_mpi_bcast.lo libscimpi_la-sci_mpi_wait.lo \
180         libscimpi_la-sci_mpi_get_processor_name.lo
181 am__objects_2 = libscimpi_la-serialization.lo \
182         libscimpi_la-deserialization.lo
183 am_libscimpi_la_OBJECTS = $(am__objects_1) $(am__objects_2)
184 libscimpi_la_OBJECTS = $(am_libscimpi_la_OBJECTS)
185 AM_V_lt = $(am__v_lt_@AM_V@)
186 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
187 am__v_lt_0 = --silent
188 am__v_lt_1 = 
189 libscimpi_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
190         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(libscimpi_la_CFLAGS) \
191         $(CFLAGS) $(libscimpi_la_LDFLAGS) $(LDFLAGS) -o $@
192 AM_V_P = $(am__v_P_@AM_V@)
193 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
194 am__v_P_0 = false
195 am__v_P_1 = :
196 AM_V_GEN = $(am__v_GEN_@AM_V@)
197 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
198 am__v_GEN_0 = @echo "  GEN     " $@;
199 am__v_GEN_1 = 
200 AM_V_at = $(am__v_at_@AM_V@)
201 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
202 am__v_at_0 = @
203 am__v_at_1 = 
204 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
205 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
206 am__depfiles_maybe = depfiles
207 am__mv = mv -f
208 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
209         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
210 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
211         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
212         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
213         $(AM_CFLAGS) $(CFLAGS)
214 AM_V_CC = $(am__v_CC_@AM_V@)
215 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
216 am__v_CC_0 = @echo "  CC      " $@;
217 am__v_CC_1 = 
218 CCLD = $(CC)
219 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
220         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
221         $(AM_LDFLAGS) $(LDFLAGS) -o $@
222 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
223 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
224 am__v_CCLD_0 = @echo "  CCLD    " $@;
225 am__v_CCLD_1 = 
226 SOURCES = $(libscimpi_la_SOURCES)
227 DIST_SOURCES = $(libscimpi_la_SOURCES)
228 am__can_run_installinfo = \
229   case $$AM_UPDATE_INFO_DIR in \
230     n|no|NO) false;; \
231     *) (install-info --version) >/dev/null 2>&1;; \
232   esac
233 DATA = $(libscimpi_la_etc_DATA) $(libscimpi_la_root_DATA) \
234         $(libscimpi_la_sci_gateway_DATA)
235 HEADERS = $(libscimpi_la_include_HEADERS)
236 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
237 # Read a list of newline-separated strings from the standard input,
238 # and print each of them once, without duplicates.  Input order is
239 # *not* preserved.
240 am__uniquify_input = $(AWK) '\
241   BEGIN { nonempty = 0; } \
242   { items[$$0] = 1; nonempty = 1; } \
243   END { if (nonempty) { for (i in items) print i; }; } \
244 '
245 # Make sure the list of sources is unique.  This is necessary because,
246 # e.g., the same source file might be shared among _SOURCES variables
247 # for different programs/libraries.
248 am__define_uniq_tagged_files = \
249   list='$(am__tagged_files)'; \
250   unique=`for i in $$list; do \
251     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
252   done | $(am__uniquify_input)`
253 ETAGS = etags
254 CTAGS = ctags
255 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
256 ACLOCAL = @ACLOCAL@
257 ALL_LINGUAS = @ALL_LINGUAS@
258 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
259 AMTAR = @AMTAR@
260 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
261 ANT = @ANT@
262 ANTLR = @ANTLR@
263 AR = @AR@
264 ARPACK_LIBS = @ARPACK_LIBS@
265 ASM3 = @ASM3@
266 AUTOCONF = @AUTOCONF@
267 AUTOHEADER = @AUTOHEADER@
268 AUTOMAKE = @AUTOMAKE@
269 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
270 AWK = @AWK@
271 BATIK = @BATIK@
272 BLAS_LIBS = @BLAS_LIBS@
273
274 # Includes need for the compilation
275 # MPI code needs to be compile with the openmpi 'compiler' (it is a wrapper)
276 CC = $(OPENMPI_CC)
277 CCACHE = @CCACHE@
278 CCDEPMODE = @CCDEPMODE@
279 CFLAGS = @CFLAGS@
280 CHECKSTYLE = @CHECKSTYLE@
281 COBERTURA = @COBERTURA@
282 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
283 COMMONS_IO = @COMMONS_IO@
284 COMMONS_LOGGING = @COMMONS_LOGGING@
285 CPP = @CPP@
286 CPPFLAGS = @CPPFLAGS@
287 CURL_CFLAGS = @CURL_CFLAGS@
288 CURL_CONFIG = @CURL_CONFIG@
289 CURL_LIBS = @CURL_LIBS@
290 CURL_VERSION = @CURL_VERSION@
291 CXX = @CXX@
292 CXXCPP = @CXXCPP@
293 CXXDEPMODE = @CXXDEPMODE@
294 CXXFLAGS = @CXXFLAGS@
295 CYGPATH_W = @CYGPATH_W@
296 DEFS = @DEFS@
297 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
298 DEPDIR = @DEPDIR@
299 DOCBOOK_ROOT = @DOCBOOK_ROOT@
300 DOXYGEN_BIN = @DOXYGEN_BIN@
301 DSYMUTIL = @DSYMUTIL@
302 DUMPBIN = @DUMPBIN@
303 ECHO_C = @ECHO_C@
304 ECHO_N = @ECHO_N@
305 ECHO_T = @ECHO_T@
306 EGREP = @EGREP@
307 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
308 EXEEXT = @EXEEXT@
309 F77 = @F77@
310 FFLAGS = @FFLAGS@
311 FFTW3_LIB = @FFTW3_LIB@
312 FFTW_ENABLE = @FFTW_ENABLE@
313 FGREP = @FGREP@
314 FLEXDOCK = @FLEXDOCK@
315 FLIBS = @FLIBS@
316 FOP = @FOP@
317 GENHTML = @GENHTML@
318 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
319 GIWS_BIN = @GIWS_BIN@
320 GLUEGEN2_RT = @GLUEGEN2_RT@
321 GMSGFMT = @GMSGFMT@
322 GMSGFMT_015 = @GMSGFMT_015@
323 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
324 GREP = @GREP@
325 GUI_ENABLE = @GUI_ENABLE@
326 HDF5_CFLAGS = @HDF5_CFLAGS@
327 HDF5_LIBS = @HDF5_LIBS@
328 HELP_ENABLE = @HELP_ENABLE@
329 INSTALL = @INSTALL@
330 INSTALL_DATA = @INSTALL_DATA@
331 INSTALL_PROGRAM = @INSTALL_PROGRAM@
332 INSTALL_SCRIPT = @INSTALL_SCRIPT@
333 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
334 INTLLIBS = @INTLLIBS@
335 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
336 JAR = @JAR@
337 JAVA = @JAVA@
338 JAVAC = @JAVAC@
339 JAVAC_DEBUG = @JAVAC_DEBUG@
340 JAVADOC = @JAVADOC@
341 JAVAH = @JAVAH@
342 JAVASCI_ENABLE = @JAVASCI_ENABLE@
343 JAVA_ENABLE = @JAVA_ENABLE@
344 JAVA_G = @JAVA_G@
345 JAVA_HOME = @JAVA_HOME@
346 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
347 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
348 JDB = @JDB@
349 JEUCLID_CORE = @JEUCLID_CORE@
350 JGRAPHX = @JGRAPHX@
351 JHALL = @JHALL@
352 JLATEXMATH = @JLATEXMATH@
353 JLATEXMATH_FOP = @JLATEXMATH_FOP@
354 JOGL2 = @JOGL2@
355 JROSETTA_API = @JROSETTA_API@
356 JROSETTA_ENGINE = @JROSETTA_ENGINE@
357 JUNIT4 = @JUNIT4@
358 LAPACK_LIBS = @LAPACK_LIBS@
359 LCOV = @LCOV@
360 LD = @LD@
361 LDFLAGS = @LDFLAGS@
362 LEX = @LEX@
363 LEXLIB = @LEXLIB@
364 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
365 LIBICONV = @LIBICONV@
366 LIBINTL = @LIBINTL@
367 LIBM = @LIBM@
368 LIBOBJS = @LIBOBJS@
369 LIBS = @LIBS@
370 LIBTOOL = @LIBTOOL@
371 LIPO = @LIPO@
372 LLVM_BIN_DIR = @LLVM_BIN_DIR@
373 LLVM_SRC_DIR = @LLVM_SRC_DIR@
374 LN_S = @LN_S@
375 LOGGING_LEVEL = @LOGGING_LEVEL@
376 LOOKS = @LOOKS@
377 LTLIBICONV = @LTLIBICONV@
378 LTLIBINTL = @LTLIBINTL@
379 LTLIBOBJS = @LTLIBOBJS@
380 MAINT = @MAINT@
381 MAKEINFO = @MAKEINFO@
382 MATIO_CFLAGS = @MATIO_CFLAGS@
383 MATIO_ENABLE = @MATIO_ENABLE@
384 MATIO_LIBS = @MATIO_LIBS@
385 MKDIR_P = @MKDIR_P@
386 MPI_ENABLE = @MPI_ENABLE@
387 MSGCAT = @MSGCAT@
388 MSGFMT = @MSGFMT@
389 MSGFMT_015 = @MSGFMT_015@
390 MSGMERGE = @MSGMERGE@
391 NM = @NM@
392 NMEDIT = @NMEDIT@
393 OBJDUMP = @OBJDUMP@
394 OBJEXT = @OBJEXT@
395 OCAMLC = @OCAMLC@
396 OCAMLDEP = @OCAMLDEP@
397 OCAMLLEX = @OCAMLLEX@
398 OCAMLOPT = @OCAMLOPT@
399 OCAMLYACC = @OCAMLYACC@
400 OPENMPI_CC = @OPENMPI_CC@
401 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
402 OPENMPI_CXX = @OPENMPI_CXX@
403 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
404 OPENMPI_LIBS = @OPENMPI_LIBS@
405 OPENMP_CFLAGS = @OPENMP_CFLAGS@
406 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
407 OPENMP_ENABLE = @OPENMP_ENABLE@
408 OPENMP_LIBS = @OPENMP_LIBS@
409 OTOOL = @OTOOL@
410 OTOOL64 = @OTOOL64@
411 PACKAGE = @PACKAGE@
412 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
413 PACKAGE_NAME = @PACKAGE_NAME@
414 PACKAGE_STRING = @PACKAGE_STRING@
415 PACKAGE_TARNAME = @PACKAGE_TARNAME@
416 PACKAGE_URL = @PACKAGE_URL@
417 PACKAGE_VERSION = @PACKAGE_VERSION@
418 PATH_SEPARATOR = @PATH_SEPARATOR@
419 PCRE_CFLAGS = @PCRE_CFLAGS@
420 PCRE_CONFIG = @PCRE_CONFIG@
421 PCRE_LIBS = @PCRE_LIBS@
422 PCRE_VERSION = @PCRE_VERSION@
423 PKG_CONFIG = @PKG_CONFIG@
424 POSUB = @POSUB@
425 POW_LIB = @POW_LIB@
426 PYTHON = @PYTHON@
427 RANLIB = @RANLIB@
428 RELOCATABLE = @RELOCATABLE@
429 RT_LIB = @RT_LIB@
430 SAXON = @SAXON@
431 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
432 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
433 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
434 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
435 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
436 SCIRENDERER = @SCIRENDERER@
437 SCIRENDERER_CP = @SCIRENDERER_CP@
438 SCI_CFLAGS = @SCI_CFLAGS@
439 SCI_CXXFLAGS = @SCI_CXXFLAGS@
440 SCI_FFLAGS = @SCI_FFLAGS@
441 SCI_LDFLAGS = @SCI_LDFLAGS@
442 SED = @SED@
443 SET_MAKE = @SET_MAKE@
444 SET_RELOCATABLE = @SET_RELOCATABLE@
445 SHELL = @SHELL@
446 SKINLF = @SKINLF@
447 SPLINT = @SPLINT@
448 STRIP = @STRIP@
449 SWIG_BIN = @SWIG_BIN@
450 SWIG_JAVA = @SWIG_JAVA@
451 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
452 SWIG_SCILAB = @SWIG_SCILAB@
453 TCLTK_LIBS = @TCLTK_LIBS@
454 TCL_INC_PATH = @TCL_INC_PATH@
455 TK_INC_PATH = @TK_INC_PATH@
456 UMFPACK_ENABLE = @UMFPACK_ENABLE@
457 UMFPACK_LIB = @UMFPACK_LIB@
458 USE_NLS = @USE_NLS@
459 VERSION = @VERSION@
460 VMKIT_ACPPFLAGS = @VMKIT_ACPPFLAGS@
461 VMKIT_ALDADD = @VMKIT_ALDADD@
462 VMKIT_ALDFLAGS = @VMKIT_ALDFLAGS@
463 VMKIT_BIN_DIR = @VMKIT_BIN_DIR@
464 VMKIT_SRC_DIR = @VMKIT_SRC_DIR@
465 WITH_OCAML = @WITH_OCAML@
466 WITH_TKSCI = @WITH_TKSCI@
467 XCOS_ENABLE = @XCOS_ENABLE@
468 XGETTEXT = @XGETTEXT@
469 XGETTEXT_015 = @XGETTEXT_015@
470 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
471 XMKMF = @XMKMF@
472 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
473 XML_APIS_EXT = @XML_APIS_EXT@
474 XML_CONFIG = @XML_CONFIG@
475 XML_FLAGS = @XML_FLAGS@
476 XML_LIBS = @XML_LIBS@
477 XML_VERSION = @XML_VERSION@
478 X_CFLAGS = @X_CFLAGS@
479 X_EXTRA_LIBS = @X_EXTRA_LIBS@
480 X_LIBS = @X_LIBS@
481 X_PRE_LIBS = @X_PRE_LIBS@
482 YACC = @YACC@
483 YFLAGS = @YFLAGS@
484 abs_builddir = @abs_builddir@
485 abs_srcdir = @abs_srcdir@
486 abs_top_builddir = @abs_top_builddir@
487 abs_top_srcdir = @abs_top_srcdir@
488 ac_ct_AR = @ac_ct_AR@
489 ac_ct_CC = @ac_ct_CC@
490 ac_ct_CXX = @ac_ct_CXX@
491 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
492 ac_ct_F77 = @ac_ct_F77@
493 am__include = @am__include@
494 am__leading_dot = @am__leading_dot@
495 am__quote = @am__quote@
496 am__tar = @am__tar@
497 am__untar = @am__untar@
498 bindir = @bindir@
499 build = @build@
500 build_alias = @build_alias@
501 build_cpu = @build_cpu@
502 build_os = @build_os@
503 build_vendor = @build_vendor@
504 builddir = @builddir@
505 cxx_present = @cxx_present@
506 datadir = @datadir@
507 datarootdir = @datarootdir@
508 docdir = @docdir@
509 dvidir = @dvidir@
510 exec_prefix = @exec_prefix@
511 host = @host@
512 host_alias = @host_alias@
513 host_cpu = @host_cpu@
514 host_os = @host_os@
515 host_vendor = @host_vendor@
516 htmldir = @htmldir@
517 includedir = @includedir@
518 infodir = @infodir@
519 install_sh = @install_sh@
520 libdir = @libdir@
521 libexecdir = @libexecdir@
522 localedir = @localedir@
523 localstatedir = @localstatedir@
524 mandir = @mandir@
525 mkdir_p = @mkdir_p@
526 oldincludedir = @oldincludedir@
527 pdfdir = @pdfdir@
528 prefix = @prefix@
529 program_transform_name = @program_transform_name@
530 psdir = @psdir@
531 sbindir = @sbindir@
532 sharedstatedir = @sharedstatedir@
533 srcdir = @srcdir@
534 sysconfdir = @sysconfdir@
535 target_alias = @target_alias@
536 top_build_prefix = @top_build_prefix@
537 top_builddir = @top_builddir@
538 top_srcdir = @top_srcdir@
539 yacc_present = @yacc_present@
540 MPI_C_SOURCES = src/c/serialization.c \
541     src/c/deserialization.c
542
543
544 # List of the gateway c files
545 GATEWAY_C_SOURCES = \
546     sci_gateway/c/sci_mpi_init.c \
547     sci_gateway/c/sci_mpi_finalize.c \
548     sci_gateway/c/sci_mpi_comm_size.c \
549     sci_gateway/c/sci_mpi_comm_rank.c \
550     sci_gateway/c/gw_mpi.c \
551     sci_gateway/c/sci_mpi_recv.c \
552     sci_gateway/c/sci_mpi_send.c \
553     sci_gateway/c/sci_mpi_irecv.c \
554     sci_gateway/c/sci_mpi_isend.c \
555     sci_gateway/c/sci_mpi_bcast.c \
556     sci_gateway/c/sci_mpi_wait.c \
557     sci_gateway/c/sci_mpi_get_processor_name.c
558
559 libscimpi_la_CFLAGS = -Iincludes/ \
560         -Isrc/c/ \
561         -I$(top_srcdir)/libs/MALLOC/includes/ \
562         -I$(top_srcdir)/modules/output_stream/includes \
563         -I$(top_srcdir)/modules/localization/includes \
564         -I$(top_srcdir)/modules/api_scilab/includes \
565         -DDEBUG
566
567 libscimpi_la_LDFLAGS = $(OPENMPI_LIBS)
568 # $(LAMPI_LDFLAGS)
569
570 # Name of the future library (.la will be replace by .so, .a, etc regarding 
571 # the system)
572 pkglib_LTLIBRARIES = libscimpi.la
573
574 # All the sources needed by libscimpi.la
575 libscimpi_la_SOURCES = $(GATEWAY_C_SOURCES)  $(MPI_C_SOURCES)
576 #$(GATEWAY_FORTRAN_SOURCES) $(MPI_FORTRAN_SOURCES)
577
578 #### Target ######
579
580 #### mpi : Conf files ####
581 libscimpi_la_rootdir = $(mydatadir)
582 libscimpi_la_root_DATA = readme.txt
583
584 #### mpi : init scripts #### 
585 libscimpi_la_etcdir = $(mydatadir)/etc
586 libscimpi_la_etc_DATA = etc/mpi.quit etc/mpi.start
587
588 #### mpi : gateway declaration #### 
589 libscimpi_la_sci_gatewaydir = $(mydatadir)/sci_gateway
590 libscimpi_la_sci_gateway_DATA = sci_gateway/mpi_gateway.xml
591
592 #### mpi : include files ####
593 libscimpi_la_includedir = $(pkgincludedir)/mpi
594 libscimpi_la_include_HEADERS = includes/gw_mpi.h
595
596 # Where all the Scilab stuff is installed (macros, help, ...)
597 mydatadir = $(pkgdatadir)/modules/$(modulename)
598
599 # Set AM_* SCI detected settings
600 AM_CPPFLAGS = $(SCI_CPPFLAGS)
601 AM_CFLAGS = $(SCI_CFLAGS)
602 AM_CXXFLAGS = $(SCI_CXXFLAGS)
603 # append includes to AM_FFLAGS to manage fortran includes
604 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
605
606 # Tag shared libraries with the Scilab version
607 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
608
609 # splint options
610 SPLINT_OPTIONS = -weak -booltype BOOL
611
612 ########################### JAVA ######################################
613 #### We are delegating java compilation to ant... Thanks to that
614 #### the procedure will be the same with Microsoft Windows (C)
615 #### and Linux/Unix
616 #######################################################################
617 TARGETS_ALL = $(am__append_1)
618
619 ################ MACROS ######################
620 # Rule to build a macro
621 # NOT USED  AT THE MOMENT
622 SUFFIXES = .sci 
623
624 ########### INSTALL DOCUMENTATION ###################
625
626 # Install documentation files into the right target
627 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
628 # automake needs the html files to be present which is not the case when
629 # we are building Scilab
630
631 # Where it should be installed
632 pkgdocdir = $(mydatadir)
633
634 # What is the mask of the help source
635 DOCMASKXML = *.xml
636
637 # What is the mask of the MathML sources
638 DOCMASKMML = *.mml
639
640 ########### INSTALL DATA ###################
641 # Install macros, help & demos
642 # Where it should be installed
643 pkgmacrosdir = $(mydatadir)
644 # Which directory we process
645 MACRODIRS = macros/
646 # Mask of the Scilab sources macros
647 MACROMASK = *.sci
648 # Mask of the Scilab executable sources macros
649 MACROBUILDMASK = *.sce
650 # Mask of the Scilab compiled macros
651 MACROBINMASK = *.bin
652 # List of the standard directory for tests
653 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
654 # Where the demos should be installed
655 pkgdemosdir = $(mydatadir)
656 # List of the standard directory for demos
657 DEMOS_DIR = demos
658 # List of the standard directory for examples
659 EXAMPLES_DIR = examples
660 # Where to export JAVA archives (.jar)
661 JARDIR = jar/
662 # JAR files mask
663 JARMASK = *.jar
664 # Chapter file 
665 HELP_CHAPTERDIR = help/
666 HELP_CHAPTERFILE = addchapter.sce
667 HELP_CHAPTERLANG = en_US fr_FR pt_BR
668 all: all-am
669
670 .SUFFIXES:
671 .SUFFIXES: .sci .bin .c .lo .o .obj
672 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
673         @for dep in $?; do \
674           case '$(am__configure_deps)' in \
675             *$$dep*) \
676               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
677                 && { if test -f $@; then exit 0; else break; fi; }; \
678               exit 1;; \
679           esac; \
680         done; \
681         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/mpi/Makefile'; \
682         $(am__cd) $(top_srcdir) && \
683           $(AUTOMAKE) --foreign modules/mpi/Makefile
684 .PRECIOUS: Makefile
685 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
686         @case '$?' in \
687           *config.status*) \
688             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
689           *) \
690             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
691             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
692         esac;
693 $(top_srcdir)/Makefile.incl.am:
694
695 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
696         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
697
698 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
699         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
700 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
701         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
702 $(am__aclocal_m4_deps):
703
704 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
705         @$(NORMAL_INSTALL)
706         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
707         list2=; for p in $$list; do \
708           if test -f $$p; then \
709             list2="$$list2 $$p"; \
710           else :; fi; \
711         done; \
712         test -z "$$list2" || { \
713           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
714           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
715           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
716           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
717         }
718
719 uninstall-pkglibLTLIBRARIES:
720         @$(NORMAL_UNINSTALL)
721         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
722         for p in $$list; do \
723           $(am__strip_dir) \
724           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
725           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
726         done
727
728 clean-pkglibLTLIBRARIES:
729         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
730         @list='$(pkglib_LTLIBRARIES)'; \
731         locs=`for p in $$list; do echo $$p; done | \
732               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
733               sort -u`; \
734         test -z "$$locs" || { \
735           echo rm -f $${locs}; \
736           rm -f $${locs}; \
737         }
738
739 libscimpi.la: $(libscimpi_la_OBJECTS) $(libscimpi_la_DEPENDENCIES) $(EXTRA_libscimpi_la_DEPENDENCIES) 
740         $(AM_V_CCLD)$(libscimpi_la_LINK) -rpath $(pkglibdir) $(libscimpi_la_OBJECTS) $(libscimpi_la_LIBADD) $(LIBS)
741
742 mostlyclean-compile:
743         -rm -f *.$(OBJEXT)
744
745 distclean-compile:
746         -rm -f *.tab.c
747
748 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-deserialization.Plo@am__quote@
749 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-gw_mpi.Plo@am__quote@
750 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-sci_mpi_bcast.Plo@am__quote@
751 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Plo@am__quote@
752 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Plo@am__quote@
753 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-sci_mpi_finalize.Plo@am__quote@
754 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Plo@am__quote@
755 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-sci_mpi_init.Plo@am__quote@
756 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-sci_mpi_irecv.Plo@am__quote@
757 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-sci_mpi_isend.Plo@am__quote@
758 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-sci_mpi_recv.Plo@am__quote@
759 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-sci_mpi_send.Plo@am__quote@
760 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-sci_mpi_wait.Plo@am__quote@
761 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-serialization.Plo@am__quote@
762
763 .c.o:
764 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
765 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
766 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
767 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
768 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
769
770 .c.obj:
771 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
772 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
773 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
774 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
775 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
776
777 .c.lo:
778 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
779 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
780 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
781 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
782 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
783
784 libscimpi_la-sci_mpi_init.lo: sci_gateway/c/sci_mpi_init.c
785 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-sci_mpi_init.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-sci_mpi_init.Tpo -c -o libscimpi_la-sci_mpi_init.lo `test -f 'sci_gateway/c/sci_mpi_init.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_init.c
786 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscimpi_la-sci_mpi_init.Tpo $(DEPDIR)/libscimpi_la-sci_mpi_init.Plo
787 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_init.c' object='libscimpi_la-sci_mpi_init.lo' libtool=yes @AMDEPBACKSLASH@
788 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
789 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-sci_mpi_init.lo `test -f 'sci_gateway/c/sci_mpi_init.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_init.c
790
791 libscimpi_la-sci_mpi_finalize.lo: sci_gateway/c/sci_mpi_finalize.c
792 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-sci_mpi_finalize.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-sci_mpi_finalize.Tpo -c -o libscimpi_la-sci_mpi_finalize.lo `test -f 'sci_gateway/c/sci_mpi_finalize.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_finalize.c
793 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscimpi_la-sci_mpi_finalize.Tpo $(DEPDIR)/libscimpi_la-sci_mpi_finalize.Plo
794 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_finalize.c' object='libscimpi_la-sci_mpi_finalize.lo' libtool=yes @AMDEPBACKSLASH@
795 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
796 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-sci_mpi_finalize.lo `test -f 'sci_gateway/c/sci_mpi_finalize.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_finalize.c
797
798 libscimpi_la-sci_mpi_comm_size.lo: sci_gateway/c/sci_mpi_comm_size.c
799 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-sci_mpi_comm_size.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Tpo -c -o libscimpi_la-sci_mpi_comm_size.lo `test -f 'sci_gateway/c/sci_mpi_comm_size.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_size.c
800 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Tpo $(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Plo
801 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_comm_size.c' object='libscimpi_la-sci_mpi_comm_size.lo' libtool=yes @AMDEPBACKSLASH@
802 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
803 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-sci_mpi_comm_size.lo `test -f 'sci_gateway/c/sci_mpi_comm_size.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_size.c
804
805 libscimpi_la-sci_mpi_comm_rank.lo: sci_gateway/c/sci_mpi_comm_rank.c
806 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-sci_mpi_comm_rank.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Tpo -c -o libscimpi_la-sci_mpi_comm_rank.lo `test -f 'sci_gateway/c/sci_mpi_comm_rank.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_rank.c
807 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Tpo $(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Plo
808 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_comm_rank.c' object='libscimpi_la-sci_mpi_comm_rank.lo' libtool=yes @AMDEPBACKSLASH@
809 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
810 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-sci_mpi_comm_rank.lo `test -f 'sci_gateway/c/sci_mpi_comm_rank.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_rank.c
811
812 libscimpi_la-gw_mpi.lo: sci_gateway/c/gw_mpi.c
813 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-gw_mpi.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-gw_mpi.Tpo -c -o libscimpi_la-gw_mpi.lo `test -f 'sci_gateway/c/gw_mpi.c' || echo '$(srcdir)/'`sci_gateway/c/gw_mpi.c
814 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscimpi_la-gw_mpi.Tpo $(DEPDIR)/libscimpi_la-gw_mpi.Plo
815 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_mpi.c' object='libscimpi_la-gw_mpi.lo' libtool=yes @AMDEPBACKSLASH@
816 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
817 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-gw_mpi.lo `test -f 'sci_gateway/c/gw_mpi.c' || echo '$(srcdir)/'`sci_gateway/c/gw_mpi.c
818
819 libscimpi_la-sci_mpi_recv.lo: sci_gateway/c/sci_mpi_recv.c
820 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-sci_mpi_recv.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-sci_mpi_recv.Tpo -c -o libscimpi_la-sci_mpi_recv.lo `test -f 'sci_gateway/c/sci_mpi_recv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_recv.c
821 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscimpi_la-sci_mpi_recv.Tpo $(DEPDIR)/libscimpi_la-sci_mpi_recv.Plo
822 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_recv.c' object='libscimpi_la-sci_mpi_recv.lo' libtool=yes @AMDEPBACKSLASH@
823 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
824 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-sci_mpi_recv.lo `test -f 'sci_gateway/c/sci_mpi_recv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_recv.c
825
826 libscimpi_la-sci_mpi_send.lo: sci_gateway/c/sci_mpi_send.c
827 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-sci_mpi_send.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-sci_mpi_send.Tpo -c -o libscimpi_la-sci_mpi_send.lo `test -f 'sci_gateway/c/sci_mpi_send.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_send.c
828 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscimpi_la-sci_mpi_send.Tpo $(DEPDIR)/libscimpi_la-sci_mpi_send.Plo
829 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_send.c' object='libscimpi_la-sci_mpi_send.lo' libtool=yes @AMDEPBACKSLASH@
830 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
831 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-sci_mpi_send.lo `test -f 'sci_gateway/c/sci_mpi_send.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_send.c
832
833 libscimpi_la-sci_mpi_irecv.lo: sci_gateway/c/sci_mpi_irecv.c
834 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-sci_mpi_irecv.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-sci_mpi_irecv.Tpo -c -o libscimpi_la-sci_mpi_irecv.lo `test -f 'sci_gateway/c/sci_mpi_irecv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_irecv.c
835 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscimpi_la-sci_mpi_irecv.Tpo $(DEPDIR)/libscimpi_la-sci_mpi_irecv.Plo
836 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_irecv.c' object='libscimpi_la-sci_mpi_irecv.lo' libtool=yes @AMDEPBACKSLASH@
837 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
838 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-sci_mpi_irecv.lo `test -f 'sci_gateway/c/sci_mpi_irecv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_irecv.c
839
840 libscimpi_la-sci_mpi_isend.lo: sci_gateway/c/sci_mpi_isend.c
841 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-sci_mpi_isend.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-sci_mpi_isend.Tpo -c -o libscimpi_la-sci_mpi_isend.lo `test -f 'sci_gateway/c/sci_mpi_isend.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_isend.c
842 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscimpi_la-sci_mpi_isend.Tpo $(DEPDIR)/libscimpi_la-sci_mpi_isend.Plo
843 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_isend.c' object='libscimpi_la-sci_mpi_isend.lo' libtool=yes @AMDEPBACKSLASH@
844 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
845 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-sci_mpi_isend.lo `test -f 'sci_gateway/c/sci_mpi_isend.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_isend.c
846
847 libscimpi_la-sci_mpi_bcast.lo: sci_gateway/c/sci_mpi_bcast.c
848 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-sci_mpi_bcast.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-sci_mpi_bcast.Tpo -c -o libscimpi_la-sci_mpi_bcast.lo `test -f 'sci_gateway/c/sci_mpi_bcast.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_bcast.c
849 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscimpi_la-sci_mpi_bcast.Tpo $(DEPDIR)/libscimpi_la-sci_mpi_bcast.Plo
850 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_bcast.c' object='libscimpi_la-sci_mpi_bcast.lo' libtool=yes @AMDEPBACKSLASH@
851 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
852 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-sci_mpi_bcast.lo `test -f 'sci_gateway/c/sci_mpi_bcast.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_bcast.c
853
854 libscimpi_la-sci_mpi_wait.lo: sci_gateway/c/sci_mpi_wait.c
855 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-sci_mpi_wait.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-sci_mpi_wait.Tpo -c -o libscimpi_la-sci_mpi_wait.lo `test -f 'sci_gateway/c/sci_mpi_wait.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_wait.c
856 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscimpi_la-sci_mpi_wait.Tpo $(DEPDIR)/libscimpi_la-sci_mpi_wait.Plo
857 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_wait.c' object='libscimpi_la-sci_mpi_wait.lo' libtool=yes @AMDEPBACKSLASH@
858 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
859 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-sci_mpi_wait.lo `test -f 'sci_gateway/c/sci_mpi_wait.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_wait.c
860
861 libscimpi_la-sci_mpi_get_processor_name.lo: sci_gateway/c/sci_mpi_get_processor_name.c
862 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-sci_mpi_get_processor_name.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Tpo -c -o libscimpi_la-sci_mpi_get_processor_name.lo `test -f 'sci_gateway/c/sci_mpi_get_processor_name.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_get_processor_name.c
863 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Tpo $(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Plo
864 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_get_processor_name.c' object='libscimpi_la-sci_mpi_get_processor_name.lo' libtool=yes @AMDEPBACKSLASH@
865 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
866 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-sci_mpi_get_processor_name.lo `test -f 'sci_gateway/c/sci_mpi_get_processor_name.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_get_processor_name.c
867
868 libscimpi_la-serialization.lo: src/c/serialization.c
869 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-serialization.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-serialization.Tpo -c -o libscimpi_la-serialization.lo `test -f 'src/c/serialization.c' || echo '$(srcdir)/'`src/c/serialization.c
870 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscimpi_la-serialization.Tpo $(DEPDIR)/libscimpi_la-serialization.Plo
871 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/serialization.c' object='libscimpi_la-serialization.lo' libtool=yes @AMDEPBACKSLASH@
872 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
873 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-serialization.lo `test -f 'src/c/serialization.c' || echo '$(srcdir)/'`src/c/serialization.c
874
875 libscimpi_la-deserialization.lo: src/c/deserialization.c
876 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-deserialization.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-deserialization.Tpo -c -o libscimpi_la-deserialization.lo `test -f 'src/c/deserialization.c' || echo '$(srcdir)/'`src/c/deserialization.c
877 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscimpi_la-deserialization.Tpo $(DEPDIR)/libscimpi_la-deserialization.Plo
878 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/deserialization.c' object='libscimpi_la-deserialization.lo' libtool=yes @AMDEPBACKSLASH@
879 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
880 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-deserialization.lo `test -f 'src/c/deserialization.c' || echo '$(srcdir)/'`src/c/deserialization.c
881
882 mostlyclean-libtool:
883         -rm -f *.lo
884
885 clean-libtool:
886         -rm -rf .libs _libs
887 install-libscimpi_la_etcDATA: $(libscimpi_la_etc_DATA)
888         @$(NORMAL_INSTALL)
889         @list='$(libscimpi_la_etc_DATA)'; test -n "$(libscimpi_la_etcdir)" || list=; \
890         if test -n "$$list"; then \
891           echo " $(MKDIR_P) '$(DESTDIR)$(libscimpi_la_etcdir)'"; \
892           $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_etcdir)" || exit 1; \
893         fi; \
894         for p in $$list; do \
895           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
896           echo "$$d$$p"; \
897         done | $(am__base_list) | \
898         while read files; do \
899           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscimpi_la_etcdir)'"; \
900           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscimpi_la_etcdir)" || exit $$?; \
901         done
902
903 uninstall-libscimpi_la_etcDATA:
904         @$(NORMAL_UNINSTALL)
905         @list='$(libscimpi_la_etc_DATA)'; test -n "$(libscimpi_la_etcdir)" || list=; \
906         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
907         dir='$(DESTDIR)$(libscimpi_la_etcdir)'; $(am__uninstall_files_from_dir)
908 install-libscimpi_la_rootDATA: $(libscimpi_la_root_DATA)
909         @$(NORMAL_INSTALL)
910         @list='$(libscimpi_la_root_DATA)'; test -n "$(libscimpi_la_rootdir)" || list=; \
911         if test -n "$$list"; then \
912           echo " $(MKDIR_P) '$(DESTDIR)$(libscimpi_la_rootdir)'"; \
913           $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_rootdir)" || exit 1; \
914         fi; \
915         for p in $$list; do \
916           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
917           echo "$$d$$p"; \
918         done | $(am__base_list) | \
919         while read files; do \
920           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscimpi_la_rootdir)'"; \
921           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscimpi_la_rootdir)" || exit $$?; \
922         done
923
924 uninstall-libscimpi_la_rootDATA:
925         @$(NORMAL_UNINSTALL)
926         @list='$(libscimpi_la_root_DATA)'; test -n "$(libscimpi_la_rootdir)" || list=; \
927         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
928         dir='$(DESTDIR)$(libscimpi_la_rootdir)'; $(am__uninstall_files_from_dir)
929 install-libscimpi_la_sci_gatewayDATA: $(libscimpi_la_sci_gateway_DATA)
930         @$(NORMAL_INSTALL)
931         @list='$(libscimpi_la_sci_gateway_DATA)'; test -n "$(libscimpi_la_sci_gatewaydir)" || list=; \
932         if test -n "$$list"; then \
933           echo " $(MKDIR_P) '$(DESTDIR)$(libscimpi_la_sci_gatewaydir)'"; \
934           $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" || exit 1; \
935         fi; \
936         for p in $$list; do \
937           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
938           echo "$$d$$p"; \
939         done | $(am__base_list) | \
940         while read files; do \
941           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscimpi_la_sci_gatewaydir)'"; \
942           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" || exit $$?; \
943         done
944
945 uninstall-libscimpi_la_sci_gatewayDATA:
946         @$(NORMAL_UNINSTALL)
947         @list='$(libscimpi_la_sci_gateway_DATA)'; test -n "$(libscimpi_la_sci_gatewaydir)" || list=; \
948         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
949         dir='$(DESTDIR)$(libscimpi_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
950 install-libscimpi_la_includeHEADERS: $(libscimpi_la_include_HEADERS)
951         @$(NORMAL_INSTALL)
952         @list='$(libscimpi_la_include_HEADERS)'; test -n "$(libscimpi_la_includedir)" || list=; \
953         if test -n "$$list"; then \
954           echo " $(MKDIR_P) '$(DESTDIR)$(libscimpi_la_includedir)'"; \
955           $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_includedir)" || exit 1; \
956         fi; \
957         for p in $$list; do \
958           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
959           echo "$$d$$p"; \
960         done | $(am__base_list) | \
961         while read files; do \
962           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libscimpi_la_includedir)'"; \
963           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libscimpi_la_includedir)" || exit $$?; \
964         done
965
966 uninstall-libscimpi_la_includeHEADERS:
967         @$(NORMAL_UNINSTALL)
968         @list='$(libscimpi_la_include_HEADERS)'; test -n "$(libscimpi_la_includedir)" || list=; \
969         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
970         dir='$(DESTDIR)$(libscimpi_la_includedir)'; $(am__uninstall_files_from_dir)
971
972 ID: $(am__tagged_files)
973         $(am__define_uniq_tagged_files); mkid -fID $$unique
974 tags: tags-am
975 TAGS: tags
976
977 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
978         set x; \
979         here=`pwd`; \
980         $(am__define_uniq_tagged_files); \
981         shift; \
982         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
983           test -n "$$unique" || unique=$$empty_fix; \
984           if test $$# -gt 0; then \
985             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
986               "$$@" $$unique; \
987           else \
988             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
989               $$unique; \
990           fi; \
991         fi
992 ctags: ctags-am
993
994 CTAGS: ctags
995 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
996         $(am__define_uniq_tagged_files); \
997         test -z "$(CTAGS_ARGS)$$unique" \
998           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
999              $$unique
1000
1001 GTAGS:
1002         here=`$(am__cd) $(top_builddir) && pwd` \
1003           && $(am__cd) $(top_srcdir) \
1004           && gtags -i $(GTAGS_ARGS) "$$here"
1005 cscopelist: cscopelist-am
1006
1007 cscopelist-am: $(am__tagged_files)
1008         list='$(am__tagged_files)'; \
1009         case "$(srcdir)" in \
1010           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1011           *) sdir=$(subdir)/$(srcdir) ;; \
1012         esac; \
1013         for i in $$list; do \
1014           if test -f "$$i"; then \
1015             echo "$(subdir)/$$i"; \
1016           else \
1017             echo "$$sdir/$$i"; \
1018           fi; \
1019         done >> $(top_builddir)/cscope.files
1020
1021 distclean-tags:
1022         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1023
1024 distdir: $(DISTFILES)
1025         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1026         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1027         list='$(DISTFILES)'; \
1028           dist_files=`for file in $$list; do echo $$file; done | \
1029           sed -e "s|^$$srcdirstrip/||;t" \
1030               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1031         case $$dist_files in \
1032           */*) $(MKDIR_P) `echo "$$dist_files" | \
1033                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1034                            sort -u` ;; \
1035         esac; \
1036         for file in $$dist_files; do \
1037           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1038           if test -d $$d/$$file; then \
1039             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1040             if test -d "$(distdir)/$$file"; then \
1041               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1042             fi; \
1043             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1044               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1045               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1046             fi; \
1047             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1048           else \
1049             test -f "$(distdir)/$$file" \
1050             || cp -p $$d/$$file "$(distdir)/$$file" \
1051             || exit 1; \
1052           fi; \
1053         done
1054 check-am: all-am
1055         $(MAKE) $(AM_MAKEFLAGS) check-local
1056 check: check-am
1057 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1058 installdirs:
1059         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscimpi_la_etcdir)" "$(DESTDIR)$(libscimpi_la_rootdir)" "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" "$(DESTDIR)$(libscimpi_la_includedir)"; do \
1060           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1061         done
1062 install: install-am
1063 install-exec: install-exec-am
1064 install-data: install-data-am
1065 uninstall: uninstall-am
1066
1067 install-am: all-am
1068         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1069
1070 installcheck: installcheck-am
1071 install-strip:
1072         if test -z '$(STRIP)'; then \
1073           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1074             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1075               install; \
1076         else \
1077           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1078             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1079             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1080         fi
1081 mostlyclean-generic:
1082
1083 clean-generic:
1084
1085 distclean-generic:
1086         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1087         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1088
1089 maintainer-clean-generic:
1090         @echo "This command is intended for maintainers to use"
1091         @echo "it deletes files that may require special tools to rebuild."
1092 clean: clean-am
1093
1094 clean-am: clean-generic clean-libtool clean-local \
1095         clean-pkglibLTLIBRARIES mostlyclean-am
1096
1097 distclean: distclean-am
1098         -rm -rf ./$(DEPDIR)
1099         -rm -f Makefile
1100 distclean-am: clean-am distclean-compile distclean-generic \
1101         distclean-local distclean-tags
1102
1103 dvi: dvi-am
1104
1105 dvi-am:
1106
1107 html: html-am
1108
1109 html-am:
1110
1111 info: info-am
1112
1113 info-am:
1114
1115 install-data-am: install-data-local install-libscimpi_la_etcDATA \
1116         install-libscimpi_la_includeHEADERS \
1117         install-libscimpi_la_rootDATA \
1118         install-libscimpi_la_sci_gatewayDATA
1119
1120 install-dvi: install-dvi-am
1121
1122 install-dvi-am:
1123
1124 install-exec-am: install-pkglibLTLIBRARIES
1125
1126 install-html: install-html-am
1127
1128 install-html-am: install-html-local
1129
1130 install-info: install-info-am
1131
1132 install-info-am:
1133
1134 install-man:
1135
1136 install-pdf: install-pdf-am
1137
1138 install-pdf-am:
1139
1140 install-ps: install-ps-am
1141
1142 install-ps-am:
1143
1144 installcheck-am:
1145
1146 maintainer-clean: maintainer-clean-am
1147         -rm -rf ./$(DEPDIR)
1148         -rm -f Makefile
1149 maintainer-clean-am: distclean-am maintainer-clean-generic
1150
1151 mostlyclean: mostlyclean-am
1152
1153 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1154         mostlyclean-libtool
1155
1156 pdf: pdf-am
1157
1158 pdf-am:
1159
1160 ps: ps-am
1161
1162 ps-am:
1163
1164 uninstall-am: uninstall-libscimpi_la_etcDATA \
1165         uninstall-libscimpi_la_includeHEADERS \
1166         uninstall-libscimpi_la_rootDATA \
1167         uninstall-libscimpi_la_sci_gatewayDATA \
1168         uninstall-pkglibLTLIBRARIES
1169
1170 .MAKE: check-am install-am install-strip
1171
1172 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1173         check-local clean clean-generic clean-libtool clean-local \
1174         clean-pkglibLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1175         distclean-compile distclean-generic distclean-libtool \
1176         distclean-local distclean-tags distdir dvi dvi-am html html-am \
1177         info info-am install install-am install-data install-data-am \
1178         install-data-local install-dvi install-dvi-am install-exec \
1179         install-exec-am install-html install-html-am \
1180         install-html-local install-info install-info-am \
1181         install-libscimpi_la_etcDATA \
1182         install-libscimpi_la_includeHEADERS \
1183         install-libscimpi_la_rootDATA \
1184         install-libscimpi_la_sci_gatewayDATA install-man install-pdf \
1185         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1186         install-ps-am install-strip installcheck installcheck-am \
1187         installdirs maintainer-clean maintainer-clean-generic \
1188         mostlyclean mostlyclean-compile mostlyclean-generic \
1189         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1190         uninstall-am uninstall-libscimpi_la_etcDATA \
1191         uninstall-libscimpi_la_includeHEADERS \
1192         uninstall-libscimpi_la_rootDATA \
1193         uninstall-libscimpi_la_sci_gatewayDATA \
1194         uninstall-pkglibLTLIBRARIES
1195
1196
1197 # This target enables tests for Scilab
1198 check-local: $(top_builddir)/scilab-bin test
1199         if test -d $(mydatadir)/tests; then \
1200           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1201         fi
1202 check-code:
1203         if test -f build.xml; then \
1204                 $(ANT) checkstyle; \
1205         fi
1206         if test -x "$(SPLINT)"; then \
1207                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1208         fi
1209 @NEED_JAVA_TRUE@java:
1210 # Some configurations needs to export JAVA_HOME in the current env
1211 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1212 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1213 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1214 @NEED_JAVA_TRUE@                $(ANT); \
1215 @NEED_JAVA_TRUE@        fi
1216
1217 @NEED_JAVA_TRUE@clean-java:
1218 # Some configurations needs to export JAVA_HOME in the current env
1219 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1220 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1221 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1222 @NEED_JAVA_TRUE@                $(ANT) clean; \
1223 @NEED_JAVA_TRUE@        fi;
1224
1225 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1226 # We call the target swig-build on the variable SWIG_WRAPPERS
1227
1228 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1229 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1230 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1231 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1232 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1233 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1234 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1235 @SWIG_TRUE@             done; \
1236 @SWIG_TRUE@     fi
1237
1238 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1239 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1240 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1241 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1242 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1243 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1244 @SWIG_TRUE@             done; \
1245 @SWIG_TRUE@     fi
1246
1247 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1248 # We call the target swig-build on the variable SWIG_WRAPPERS
1249
1250 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1251 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1252 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1253 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1254 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1255 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1256 @GIWS_TRUE@             done; \
1257 @GIWS_TRUE@     fi
1258
1259 @GIWS_TRUE@giws-exception:
1260 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1261 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1262 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1263
1264 macros:
1265         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1266                 echo "Error : Cannot build $< : Scilab has not been built"; \
1267         else \
1268                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1269         fi)
1270
1271 # Removes the macros
1272 clean-macros:
1273 # Removes macros (*.bin generated from .sci)
1274         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1275                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1276                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1277         done
1278
1279 test:
1280 # More tests could be added here
1281         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1282         if test -f build.xml -a $$USEANT -eq 1; then \
1283                 $(ANT) test; \
1284         fi
1285
1286 all-local: $(TARGETS_ALL)
1287
1288 .sci.bin:
1289         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1290         echo "Error : Cannot build $< : Scilab has not been build"; \
1291         else \
1292         echo "Creating $@"; \
1293         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1294         fi )
1295
1296 install-html-local:
1297
1298 install-data-local-local:
1299 # Mainly for javasci
1300         @if test -d $(srcdir)/javadoc; then \
1301                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1302         fi
1303 # If the user wants the help sources to be installed
1304 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1305 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1306 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1307 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1308 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1309 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1310 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1311 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1312 @INSTALL_HELP_XML_TRUE@           done ; \
1313 @INSTALL_HELP_XML_TRUE@         fi; \
1314 @INSTALL_HELP_XML_TRUE@  fi; \
1315 @INSTALL_HELP_XML_TRUE@ done; \
1316 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1317 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1318 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1319 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1320 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1321 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1322 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1323 @INSTALL_HELP_XML_TRUE@           done ; \
1324 @INSTALL_HELP_XML_TRUE@         fi; \
1325 @INSTALL_HELP_XML_TRUE@ fi
1326 install-data-local:
1327 # Install the tests
1328         @echo "-------- Install tests (if any) --------"; \
1329         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1330           if test -d $(srcdir)/$$dir/; then \
1331             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1332                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1333                     if test -d "$(srcdir)/$$dir/$$file"; then \
1334                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1335                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1336                     else \
1337                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1338                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1339                     fi \
1340                   done; \
1341           fi; \
1342         done
1343 # Install the help chapter
1344         @echo "-------- Install the help chapter (if any) --------"; \
1345         for lang in $(HELP_CHAPTERLANG); do \
1346                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1347                 if test -f $$HELPFILE; then \
1348                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1349                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1350                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1351                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1352                 fi; \
1353         done
1354 # Install the demos & examples
1355         @echo "-------- Install demos & examples (if any) --------"; \
1356         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1357           if test -d $(srcdir)/$$dir/; then \
1358             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1359                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1360                     if test -d "$(srcdir)/$$dir/$$file"; then \
1361                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1362                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1363                     else \
1364                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1365                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1366                     fi \
1367                   done; \
1368           fi; \
1369         done
1370 # Install the macros
1371         @echo "-------- Install macros (if any) --------"; \
1372         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1373           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1374                 if test -d $(srcdir)/$$dir/; then \
1375                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1376                         if test -n "$(MACROSSPECIALEXT)"; then \
1377                                 specialExtDir=""; \
1378                                 for specialExt in $(MACROSSPECIALEXT); do \
1379                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1380                                 done; \
1381                                 FILELIST="$$FILELIST $$specialExtDir"; \
1382                         fi; \
1383                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1384                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1385                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1386                   done; \
1387                 fi; \
1388         done
1389 # Install java files (.jar)
1390         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1391         echo "-------- Install jar files --------"; \
1392     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1393           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1394                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1395                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1396           done ; \
1397         fi
1398
1399 ########### CLEAN ###################
1400 # Clean help (generated automatically by Scilab)
1401 # It used to clean the macro (clean-macros) but this was causing
1402 # make clean && make to fail Scilab startup
1403 @NEED_JAVA_TRUE@clean-local: clean-java
1404 @NEED_JAVA_FALSE@clean-local:
1405
1406 distclean-local:
1407         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1408
1409 .PHONY: macros java swig giws
1410
1411 # Provides macros compilation, Java compilation, cleaning
1412
1413 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1414 # Otherwise a system limit (for SysV at least) may be exceeded.
1415 .NOEXPORT: